#!/bin/bash
#DOMAIN=$1
#PROTO=$2
#TAIL=$3

while :
do

EXISTING_ROUTE=$(ip route | grep "proto $PROTO")
EXISTING=$(ip route | grep "proto $PROTO" | awk '{print $1}')
CURRENT=$(dig $DOMAIN +short)
if [ $? != 0 ]; then
    echo "DNS error"
    exit 1
fi
echo $EXISTING $CURRENT
if [ "$EXISTING" == "$CURRENT" ]; then
    echo "Same"
else
    echo "Diff"
    if [ ! -n "$EXISTING_ROUTE" ]; then
        DEL_CMD="ip route del $EXISTING_ROUTE"
        echo $DEL_CMD
        bash -c "$DEL_CMD"
    fi
    ADD_CMD="ip route add $CURRENT proto $PROTO $TAIL"
    echo $ADD_CMD
    bash -c "$ADD_CMD"
fi

sleep 60
done
